# Merge one contact into another; history, identities and tags move over

`POST /crm/merge` · Rivier · contacts

Merge one contact into another; history, identities and tags move over.

- Scope: contacts:admin
- Graphql: Mutation.contactsContactMerge
- Sdk: contacts.contact.merge
- Cli: contacts contact merge

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "winnerId": {
      "type": "string",
      "format": "uuid"
    },
    "loserId": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "winnerId",
    "loserId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/crm/merge' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "winnerId": "string",
  "loserId": "string"
}'
```
